package appl.parallel.data.xulugridfile.factories;

import edu.bonn.xulu.io.InstantiationFactory;
// nur fuer Doku
import schmitzm.data.WritableGrid;
import edu.bonn.xulu.plugin.data.grid.SingleGrid;

/**
 * Diese Factory erzeugt Standard-Instanzen von {@link SingleGrid} mit einem
 * durch die Factory {@link XuluGridFactory} erzeugten {@link WritableGrid}.
 * @author Dominik Appl
 * @version 1.0
 */
public class SingleGridFactory extends edu.bonn.xulu.plugin.io.grid.awt.SingleGridFactory{

  /**
   * Liefert eine Instanz von {@link XuluGridFactory}. Mit diesen
   * Instanzen wird das SingleGrid gefuellt.
   */
  protected InstantiationFactory getWritableGridFactory() {
    return new XuluGridFactory();
  }
}
