package appl.parallel.event;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * A EventSink fires {@link RemoteEvent}s from a possibly remote source and
 * processes them. May be an EventHandler.
 * 
 * @author Dominik Appl
 */
public interface RemoteEventSink extends Remote {

	public void fireRemoteEvent(RemoteEvent e) throws RemoteException;

	public void fireRemoteEvents(RemoteEvent[] e) throws RemoteException;

}
