package appl.parallel.services;

/**
 * Superclass of all Services.
 * 
 * @author Dominik Appl
 */
public interface Service {

	/**
	 * Starts the service
	 */
	public void startService();

	/**
	 * Stops the service
	 */
	public void stopService();

	/**
	 * @return true, if the service is running
	 */
	public boolean isRunning();
}
