package appl.util.benchmark;

/**
 * Simple Interface for Benchmarks. Benchmarks may be used to give the user an
 * impression of the hardware capabilities.
 * 
 * @author Dominik Appl
 */
public interface Benchmark {
	/**
	 * runs the Benchmark
	 * 
	 * @return a rating. The rating should be a positive number and linear in
	 *         the computing power
	 */
	public int bench();
}
