package de.skrueger.xulu.plugin.gnur;

import org.rosuda.JRI.REXP;
import org.rosuda.JRI.Rengine;

import schmitzm.data.property.ScalarProperty;

public class RVarScalar extends RVarAdapter{
    
    ScalarProperty prop = (ScalarProperty) super.prop;

    public RVarScalar( ScalarProperty prop) {
	super(prop );
	System.out.println("Scalarprop created...\n");
    }
    
    @Override
    public void toR(Rengine re) {
    	REXP x;
    	if (!isImport()) return;
    	
    	Integer val = prop.getOneTimeReadAccess().getValueAsInt();
    	String expr = getRName() + " <- " + val;
    	re.eval(expr);
    }

    @Override
    public void fromR(Rengine re) {
	if (!isExport()) return;

	REXP x;
        
        String expr = getRName();
        REXP eval = re.eval(expr);
        System.out.println(eval);
        Double val = eval.asDouble();
        prop.getOneTimeWriteAccess().setValue(val.intValue());
        System.out.println(getRName()+" now has value "+val.intValue());
    }
    
}
