package appl.parallel.event;

/**
 * A Monitor that receives {@link TransferEvent}s
 * @author Dominik Appl
 */
public interface TransferMonitor {

	/**
	 * Receive a event
	 * @param t the event
	 */
	public void receiveTransferEvent(TransferEvent t);

}
