package appl.parallel.test;

import java.io.IOException;
import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.InetAddress;
import java.net.MulticastSocket;
import java.net.UnknownHostException;

public class MulticastSocketTest {
	public static void main( String[] args ) throws IOException
	  {
	
		 String msg = "Hello";
		 InetAddress group = InetAddress.getByName("224.0.0.1");
		 MulticastSocket s = new MulticastSocket(50000);
		 s.joinGroup(group);
		 DatagramPacket hi = new DatagramPacket(msg.getBytes(), msg.length(),
		                             group, 6789);
		 System.out.println("sending");
		 s.send(hi);
		 // get their responses!
		 System.out.println("waiting");
		 byte[] buf = new byte[1000];
		 
		 DatagramPacket recv = new DatagramPacket(buf, buf.length);
		 s.receive(recv);
		 System.out.println("finished");
		 // OK, I'm done talking - leave the group...
		 s.leaveGroup(group);
		 
	  	}

}

