package appl.parallel.thread;

import appl.parallel.ComputingResource;
import appl.parallel.ComputingResourceProperties;
import appl.parallel.event.CommEventSink;
import appl.parallel.event.CommEvent.CommType;

/**
 * @author Dominik Appl
 */
public abstract class ComputingResourceThread extends ExecutionThread{

	
	 public ComputingResourceThread(ComputingResource resource, ComputingResourceProperties resourceInfos, Object argument,  CommType type, CommEventSink sink){
			super(resource, resourceInfos, argument,type,sink,false);
		}
	 
	 public ComputingResourceThread(ComputingResource resource, ComputingResourceProperties resourceInfos, Object argument,  CommType type, CommEventSink sink, boolean disableTransferEvents){
			super(resource, resourceInfos, argument,type,sink,disableTransferEvents);
		}
		
		protected ComputingResource getServer(){
			return (ComputingResource) server;
		}
}
